/*
 * Copyright 2005-2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jatva.lang;

public final class DummyClass
{
  public final static DummyClass dummyObject()
  {
    return null;
  }

/**
   * This is a miscellaneous stub method used as a substitute for
   * statements omitted during generation.
   * An example is replacing mark statements with invocations of this
   * method during generation of 'precondition' method.
   */
  public final static void dummy() {}
  public final static <T> void dummy( T v ) {}
}